class AlertNumberModel {
  final int id;
  final String poseidonOwnerEmail;
  final String issuingAppId;
  final String tid;
  final String serial;
  final String phone;
  final String fname;
  final String lname;
  final int status;
  final dynamic contactEmail;
  final int whatsappEnabled;
  final int smsEnabled;
  final int emailEnabled;
  final DateTime createdAt;
  final DateTime updatedAt;
  final dynamic deletedAt;

  AlertNumberModel({
    required this.id,
    required this.poseidonOwnerEmail,
    required this.issuingAppId,
    required this.tid,
    required this.serial,
    required this.phone,
    required this.fname,
    required this.lname,
    required this.status,
    required this.contactEmail,
    required this.whatsappEnabled,
    required this.smsEnabled,
    required this.emailEnabled,
    required this.createdAt,
    required this.updatedAt,
    required this.deletedAt,
  });

  factory AlertNumberModel.fromJson(Map<String, dynamic> json) =>
      AlertNumberModel(
        id: json["id"],
        poseidonOwnerEmail: json["poseidon_owner_email"],
        issuingAppId: json["issuing_app_id"],
        tid: json["tid"],
        serial: json["serial"],
        phone: json["phone"],
        fname: json["fname"],
        lname: json["lname"],
        status: json["status"],
        contactEmail: json["contact_email"],
        whatsappEnabled: json["whatsapp_enabled"],
        smsEnabled: json["sms_enabled"],
        emailEnabled: json["email_enabled"],
        createdAt: DateTime.parse(json["created_at"]),
        updatedAt: DateTime.parse(json["updated_at"]),
        deletedAt: json["deleted_at"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "poseidon_owner_email": poseidonOwnerEmail,
        "issuing_app_id": issuingAppId,
        "tid": tid,
        "serial": serial,
        "phone": phone,
        "fname": fname,
        "lname": lname,
        "status": status,
        "contact_email": contactEmail,
        "whatsapp_enabled": whatsappEnabled,
        "sms_enabled": smsEnabled,
        "email_enabled": emailEnabled,
        "created_at": createdAt.toIso8601String(),
        "updated_at": updatedAt.toIso8601String(),
        "deleted_at": deletedAt,
      };
}
