// ignore_for_file: use_build_context_synchronously

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:mobile_pos/src/helpers/global_variables.dart';
import 'package:mobile_pos/src/shared_widgets/ravenpay_bottomsheet_capsule.dart';
import 'package:mobile_pos/src/shared_widgets/ravenpay_button.dart';
import 'package:mobile_pos/src/styles/ravenpay_app_colors.dart';
import 'package:mobile_pos/src/styles/ravenpay_textstyles.dart';
import 'package:mobile_pos/src/views/terminal/view_terminal_details.dart';

class DeleteAlertNumberSheet extends StatefulWidget {
  final Function onDelete;
  const DeleteAlertNumberSheet({super.key, required this.onDelete});

  @override
  State<DeleteAlertNumberSheet> createState() => _DeleteAlertNumberSheetState();
}

class _DeleteAlertNumberSheetState extends State<DeleteAlertNumberSheet> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: kHorizontalScreenPadding) +
          EdgeInsets.only(bottom: MediaQuery.of(context).viewInsets.bottom),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const Gap(16),
          const RavenPayBottomSheetCapsule(),
          const Gap(24),
          Row(
            children: [
              Expanded(
                child: Text(
                  "Remove Alert Number",
                  style: headling1.copyWith(fontSize: 20),
                ),
              ),
              GestureDetector(
                onTap: () {
                  Navigator.pop(context);
                },
                child: const RoundedItemContainer(asset: "cancel_icon.png"),
              )
            ],
          ),
          const Gap(12),
          Text(
              "Confirm to remove this phone number from this terminal, note that this phone number would no longer receive alert that occurs on this terminal, click Remove if you choose to continue",
              style: subtitle2.copyWith(
                  fontSize: 14, fontWeight: FontWeight.w400)),
          const Gap(44),
          RavenPayButton(
              buttonText: "Proceed",
              buttonColor: AppColors.ravenRed,
              onPressed: () async {
                Navigator.pop(context);
                widget.onDelete();
              }),
          const Gap(24),
          RavenPayButton(
              borderColor: subtitle.color,
              textColor: subtitle.color!,
              buttonText: "It’s a mistake go back",
              buttonColor: Colors.transparent,
              onPressed: () async {
                Navigator.pop(context);
              }),
          const Gap(30),
        ],
      ),
    );
  }
}
